package ru.kirillius.pf.sdn.api.Networking.Subscriptions;

import ru.kirillius.pf.sdn.entity.SubscriptionProviderConfig;

public interface SubscriptionProviderProtocol {
    String getIdentifier();

    PropertyCollection getProperties();

    SubscriptionQueryResult query(SubscriptionProviderConfig config);
}
